OpenShot Audio Library | OpenShotAudio 0.3.2

Loading...
Searching...
No Matches
Public Attributes | List of all members
juce::dsp::ProcessSpec Struct Reference

`#include <juce_ProcessContext.h>`

## Public Attributes
double | sampleRate
uint32 | maximumBlockSize
uint32 | numChannels

## Detailed Description

This structure is passed into a DSP algorithm's prepare() method, and contains information about various aspects of the context in which it can expect to be called.

Definition at line 38 of file juce_ProcessContext.h.

## Member Data Documentation

## ◆ maximumBlockSize

uint32 juce::dsp::ProcessSpec::maximumBlockSize

The maximum number of samples that will be in the blocks sent to process() method.

Definition at line 44 of file juce_ProcessContext.h.

Referenced by juce::dsp::Convolution::prepare().

## ◆ numChannels

uint32 juce::dsp::ProcessSpec::numChannels

The number of channels that the process() method will be expected to handle.

Definition at line 47 of file juce_ProcessContext.h.

Referenced by juce::dsp::LadderFilter< Type >::prepare(), and juce::dsp::Convolution::prepare().

## ◆ sampleRate

double juce::dsp::ProcessSpec::sampleRate

The sample rate that will be used for the data that is sent to the processor.

Definition at line 41 of file juce_ProcessContext.h.

Referenced by juce::dsp::LadderFilter< Type >::prepare(), juce::dsp::Reverb::prepare(), and juce::dsp::Convolution::prepare().

The documentation for this struct was generated from the following file:

- juce_ProcessContext.h